### Method

# Panel Workbench foreach_workspace

since: 1.4

#### Declaration [src]

    void
    panel_workbench_foreach_workspace (
      PanelWorkbench* self,
      PanelWorkspaceForeach foreach_func,
      gpointer foreach_func_data
    )

#### Description [src]

Calls `foreach_func` for each workspace in the workbench.

Available since: 1.4

#### Parameters

`foreach_func`

  Type: `PanelWorkspaceForeach`

  A function to call for each workspace.

`foreach_func_data`

  Type: `gpointer`

  The data for the `foreach_func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.